%define debug_package %{nil}

Name:           virt-dmesg
Version:        0.3.0
Release:        1%{?dist}
Summary:        Print kernel messages from a Linux virtual machine

Group:          Development/Libraries
License:        GPLv2+
URL:            http://people.redhat.com/~rjones/virt-dmesg/
Source0:        http://people.redhat.com/~rjones/virt-dmesg/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ocaml >= 3.10.2
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-libvirt-devel
BuildRequires:  zlib-devel
BuildRequires:  libvirt-devel

# Force libvirt that contains several fixes for virDomainMemoryPeek.
Requires: libvirt >= 0.9.1-3


%description
virt-dmesg prints the kernel messages from a running Linux virtual
machine.  It is like dmesg(1) except that it works on virtual machines
instead of the host.


%prep
%setup -q


%build
%configure
make all

strip src/virt-dmesg


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_bindir}/virt-dmesg
%{_bindir}/virt-uname
%{_mandir}/man1/virt-dmesg.1*
%{_mandir}/man1/virt-uname.1*


%changelog
* Tue Jun 21 2011 Richard W.M. Jones <rjones@redhat.com> - 0.3.0-1
- New upstream version 0.3.0.
- Add TODO file to doc.

* Mon Jun 20 2011 Richard W.M. Jones <rjones@redhat.com> - 0.2.0-1
- Added to Fedora.
